//
var comp;
AdobeEdge.bootstrapCallback(function(compId) {
comp = AdobeEdge.getComposition(compId).getStage();
/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
       
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
                  sym.$('.center-wrapper').css("overflow","hidden");
				  
 
 
   
  /*
				   transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
          		  //Total de inputs       
                 TotalInput = 50;
          			//RESPUESTAS -- CAMBIAR VALORES
                  sym.setVariable("Respuesta_1", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_2", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");*/

 


 
 

          
                    		var tipoactividad = "input";
							var color = sym.getVariable("colorini");
							var colorok = sym.getVariable("colorok");
							var colorbad = sym.getVariable("colorbad");
							var border = sym.getVariable("border");
							var tamano = sym.getVariable("fontsize");
							var fontweight = sym.getVariable("fontweight");
							var fondo = sym.getVariable("fondo");
							var borderRadius= sym.getVariable("border-radius");
							var fondook = sym.getVariable("fondook");
							var fondobad = sym.getVariable("fondobad");
							
							
                            
          
                             for (i=1 ; i<= TotalInput; i++){
                             sym.$("Input_"+i).css("background","rgba(255,255,255,0.50)");
                             	var nombreElemento = 'Elemento_'+i;
                             	nombreElemento = document.createElement(tipoactividad);
                             	nombreElemento.id="seleccion_"+i;
                             	var anchoInput = sym.$("Input_"+i).css("width");
                             	var altoInput = sym.$("Input_"+i).css("height");
                             	nombreElemento.style.width= anchoInput;	 
                             	nombreElemento.style.height= altoInput;
                    			nombreElemento.style.fontWeight= "bold";
                             	nombreElemento.style.border=  "2px double #cccccc";;
                             	nombreElemento.style.color= "#666666";
                             	nombreElemento.style.background= "rgba(255,255,255,0.50)";
                             	nombreElemento.style.fontSize= tamano;;
                    			nombreElemento.style.fontFamily= "Cabin";
                             	nombreElemento.style.textAlign="center";
                             	nombreElemento.style.webkitBorderRadius="5px";
                             	nombreElemento.style.mozBorderRadius="5px";
                             	nombreElemento.style.borderRadius="5px";
                             	sym.$("Input_"+i).append(nombreElemento);
								
                             }  
							  	if(filtrar=='int'){
								 sym.$('input').filter_input({					
								 regex:'[0-9]', 
								 events:'keypress paste'});
								 }
							  	if(filtrar=='num'){
								 sym.$('input').filter_input({					
								 regex:'[0-9.]', 
								 events:'keypress paste'});
								 }
								if(filtrar=='alpha'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='alphalower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z_ ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='alphaupper'){
								 sym.$('input').filter_input({					
								 regex:'[A-Z_ ]', 
								 events:'keypress paste'});
								 }
								
								if(filtrar=='alphanum'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_]', 
								 events:'keypress paste'});
								 }

 								
								if(filtrar=='alphanumupper'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z0-9_]', 
								 events:'keypress paste'});
								 }
								 
								 
								 if(filtrar=='alphanumspacelower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								else if(filtrar=='alphanumspace'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								else if(filtrar=='alphanumspacelower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='all'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z0-9_°!"#$%&/()=?¡¨*;:_-.,}{´+¿`^[]{}@ ]', 
								 events:'keypress paste'});
								 }
							
							 //$('input').attr("data-mask","int");
							 //BOTÓN VALIDAR							        
                             sym.$('hotspot_validar').click(function(){
                              Total=0;        
                              wrong = '';
          
                             for(i=1; i<=TotalInput; i++){
                             	var y = (parseInt(sym.$("Input_"+i).css("top")) +0)+"px";
                             	var x = (parseInt(sym.$("Input_"+i).css("left")) -25)+"px";
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){		
                             		if(transformarTexto == true){
                             			var ValorInput = $(this).val().toUpperCase();
                             			var ValorTemp = sym.getVariable("Respuesta_"+i).toUpperCase(); 
                             		}
                             		else{
                             			var ValorInput = $(this).val();
                             			var ValorTemp = sym.getVariable("Respuesta_"+i);
                             		}
									
									if(eliminarEspacios == true){
                             			ValorInput = ValorInput.replace(/\s+/g, '');
										ValorTemp = ValorTemp.replace(/\s+/g, ''); 
                             		}
                             		else{                             			
                             		}								
          
                             		if(ValorInput==ValorTemp){
                             			$(this).css({color: colorok,background: fondook});
                             		}
                             		else{
                             			wrong = 1;
                             			$(this).css({color: colorbad,background: fondobad});
                             		}
                             		$(this).attr('disabled','disabled');
                             	}
                             });
                             }
          
                             if (wrong == 1){
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").show();
                             	sym.$("hotspot_reiniciar").show();
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("normal");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("resp_incorrecta").show();
                    				setTimeout('$("#Stage_resp_incorrecta").fadeOut("slow");', 2500);
                             	sym.$("error")[0].play();
                             	sym.$("error")[0].muted = false;
          
                             }
                             else{
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("down");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").hide();
                             	sym.$("hotspot_reiniciar").show();
                             	sym.$("resp_correcta").show();
                    				setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
                             	sym.$("success")[0].play();
                             	sym.$("success")[0].muted = false;
          
                             }
          
                             });
							 //BOTÓN SOLUCIÓN
                             sym.$('hotspot_solucion').click(function(){
                             	sym.getSymbol("bt_validar").stop("down");
                             	sym.getSymbol("bt_solucion").stop("down");
                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("hotspot_validar").hide();
                             	sym.$("hotspot_solucion").hide();
                             	sym.$("hotspot_reiniciar").show();
          
                             //Oculta las leyendas
                             sym.$("resp_correcta").hide();
                             sym.$("resp_incorrecta").hide();
                             sym.$("comprobarRespuesta").hide();
                             sym.$("Punteo").hide();
          
                             for (var i=1; i<TotalInput; i++) {
                                   sym.$('ok'+i).hide();
                             		sym.$('bad'+i).hide();
                             }
          
                             var colorok = sym.getVariable("colorok");
                             var fondook = sym.getVariable("fondook");
          
          
                             for(i=1; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		var Resp = sym.getVariable("Respuesta_"+i);
                             		$(this).val(Resp);
                             		$(this).val().toUpperCase();
                             		$(this).css({color: colorok ,background: fondook}
                             		);
                             	}
                             	});
                             }
          
          
                             });
							 //BOTÓN REINICIAR
							 
                             sym.$('hotspot_reiniciar').click(function(){
                             
          
          
                             for (var i=1; i<=TotalInput; i++) {
                                sym.$('ok'+i).hide();
                             	sym.$('bad'+i).hide();
                             }
          
                             var colorini = sym.getVariable("colorini");
                             var fondoini = sym.getVariable("fondo");
          
          
                             for(i=0; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		$(this).val("");
                             		$(this).css({color: colorini,background: fondoini});
                             		$(this).removeAttr('disabled');
                             	}
                             });
                             }  
          
                             });
                             sym.$('hotspot_ayuda').click(function(){
                             if (sym.$("help_input").is(":visible")) {
                             	sym.$("help_input").hide();
                             	sym.getSymbol("bt_ayuda").stop("normal");
                             } else {
                             	sym.$("help_input").show();
                             	sym.getSymbol("bt_ayuda").stop("down");
                             }
          
          
                             });
                    	//ocultar ayuda
                    		   sym.$("help_input").click(function(){
                    				 $(this).hide();
                    				 sym.getSymbol("bt_ayuda").stop("normal");
                    			});

      });
      //Edge binding end

   })("stage");
  

})(jQuery, AdobeEdge, "EDGE-94063035");
});